%define name gai-visual-audio
%define version 0.3
%define release %mkrel 9

Name: %name
Summary: GAI applet Visualizing the XMMS output
Version: %{version}
Release: %{release}
License: GPL
Url: http://gai.sf.net
Group: Sound
Source: http://prdownloads.sourceforge.net/gai/%{name}-%{version}.tar.bz2
Source10:   %{name}-16.png
Source11:   %{name}-32.png
Source12:   %{name}-48.png
BuildRoot: %{_tmppath}/build-root-%{name}
BuildRequires: libgai-devel >= 0.5
BuildRequires: xmms-devel

%description
GAI applet Visualizing the XMMS output. This can be used in several
panels, inlcuding the GNOME one.

%prep
%setup -q 

%build
%configure2_5x
%make 

%install
rm -rf ${RPM_BUILD_ROOT}
install -m755 gai-va -D $RPM_BUILD_ROOT%{_bindir}/gai-va
install -m644 GNOME_DefaultApplet.server -D $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/GNOME_gai-vaApplet.server
install -d $RPM_BUILD_ROOT%{_datadir}/pixmaps/gai-va/
install -m644 images/* $RPM_BUILD_ROOT%{_datadir}/pixmaps/gai-va/
install -m644 gai-va-icon.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%name.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%name.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name} 
?package(%name): command="%{_bindir}/gai-va" icon="%name.png" \
                needs="X11" section="Multimedia/Sound" \
 title="Gai-visual-studio" longtitle="Visualizing the XMMS output" xdg="true"
EOF
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gai-visual-studio
Comment=Visualizing the XMMS output
Exec=%{_bindir}/%{name}
Icon=%name
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;Audio;
StartupNotify=true
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root,0755)
%doc AUTHORS INSTALL README
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_gai-vaApplet.server
%_datadir/applications/mandriva*
%{_menudir}/%name
%{_datadir}/pixmaps/gai-va/
%{_datadir}/pixmaps/gai-va-icon.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Tue Aug 28 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-9mdv2008.1
+ Revision: 72994
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3-9mdv2007.0
+ Revision: 86889
- Import gai-visual-audio

* Fri Nov 24 2006 Götz Waschk <waschk@mandriva.org> 0.3-9mdv2007.1
- Rebuild

* Fri Jul 21 2006 Gtz Waschk <waschk@mandriva.org> 0.3-8mdv2007.0
- xdg menu

* Mon May 15 2006 Götz Waschk <waschk@mandriva.org> 0.3-7mdk
- Rebuild
- use mkrel

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 0.3-6mdk
- rebuild

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3-5mdk
- fix source url
- fix description

